- Main Page
- Related Pages
- Data Structures
- Files
- Examples

Functions
Route

## Functions
EAPI Evas_Object * | elm_route_add (Evas_Object *parent)
| Add a new route to the parent. More...
EOAPI void | elm_obj_route_longitude_min_max_get (double *min, double *max)
| Get the minimum and maximum values along the longitude. More...
EOAPI void | elm_obj_route_latitude_min_max_get (double *min, double *max)
| Get the minimum and maximum values along the latitude. More...
void | elm_route_longitude_min_max_get (const Eo *obj, double *min, double *max)
| Get the minimum and maximum values along the longitude. More...
void | elm_route_latitude_min_max_get (const Eo *obj, double *min, double *max)
| Get the minimum and maximum values along the latitude. More...

## Detailed Description

For displaying a route on the map widget.

## Function Documentation

EOAPI void elm_obj_route_latitude_min_max_get | ( | double * | min,
|  | double * | max
| ) |  |

Get the minimum and maximum values along the latitude.

Note
  If only one value is needed, the other pointer can be passed as `NULL`.

Parameters

  [out] | min | Pointer to store the minimum value.
  [out] | max | Pointer to store the maximum value.

Referenced by elm_route_latitude_min_max_get().

EOAPI void elm_obj_route_longitude_min_max_get | ( | double * | min,
|  | double * | max
| ) |  |

Get the minimum and maximum values along the longitude.

Note
  If only one value is needed, the other pointer can be passed as `NULL`.

Parameters

  [out] | min | Pointer to store the minimum value.
  [out] | max | Pointer to store the maximum value.

Referenced by elm_route_longitude_min_max_get().

Evas_Object * elm_route_add | ( | Evas_Object * | parent | ) |

Add a new route to the parent.

Add a new route object to the parent's canvas.

Parameters

  parent | The parent object

Returns
  The new object or NULL if it cannot be created

void elm_route_latitude_min_max_get | ( | const Eo * | obj,
|  | double * | min,
|  | double * | max
| ) |  |

Get the minimum and maximum values along the latitude.

Note
  If only one value is needed, the other pointer can be passed as `NULL`.

Parameters

  [out] | min | Pointer to store the minimum value.
  [out] | max | Pointer to store the maximum value.

References elm_obj_route_latitude_min_max_get().

void elm_route_longitude_min_max_get | ( | const Eo * | obj,
|  | double * | min,
|  | double * | max
| ) |  |

Get the minimum and maximum values along the longitude.

Note
  If only one value is needed, the other pointer can be passed as `NULL`.

Parameters

  [out] | min | Pointer to store the minimum value.
  [out] | max | Pointer to store the maximum value.

References elm_obj_route_longitude_min_max_get().